/// <reference types="vscode/src/vscode-dts/vscode" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.workspaceTrust" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.multiDocumentHighlightProvider" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.mappedEditsProvider" />
import * as vscode from 'vscode';
export declare const enum DiagnosticLanguage {
    JavaScript = 0,
    TypeScript = 1
}
export declare const allDiagnosticLanguages: DiagnosticLanguage[];
export interface LanguageDescription {
    readonly id: string;
    readonly diagnosticOwner: string;
    readonly diagnosticSource: string;
    readonly diagnosticLanguage: DiagnosticLanguage;
    readonly languageIds: readonly string[];
    readonly configFilePattern?: RegExp;
    readonly isExternal?: boolean;
    readonly standardFileExtensions: readonly string[];
}
export declare const standardLanguageDescriptions: LanguageDescription[];
export declare function isTsConfigFileName(fileName: string): boolean;
export declare function isJsConfigOrTsConfigFileName(fileName: string): boolean;
export declare function doesResourceLookLikeATypeScriptFile(resource: vscode.Uri): boolean;
export declare function doesResourceLookLikeAJavaScriptFile(resource: vscode.Uri): boolean;
//# sourceMappingURL=languageDescription.d.ts.map