/// <reference types="vscode/src/vscode-dts/vscode" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.workspaceTrust" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.multiDocumentHighlightProvider" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.mappedEditsProvider" />
import * as vscode from 'vscode';
import { Disposable } from '../utils/dispose';
export declare class LogLevelMonitor extends Disposable {
    private readonly context;
    private static readonly logLevelConfigKey;
    private static readonly logLevelChangedStorageKey;
    private static readonly doNotPromptLogLevelStorageKey;
    constructor(context: vscode.ExtensionContext);
    private onConfigurationChange;
    private get logLevel();
    /**
     * Last date change if it exists and can be parsed as a date,
     * otherwise undefined.
     */
    private get lastLogLevelChange();
    private get doNotPrompt();
    private shouldNotifyExtendedLogging;
    private notifyExtendedLogging;
}
//# sourceMappingURL=logLevelMonitor.d.ts.map